process.chdir(__dirname);

const fs = require('fs');

fs.writeFileSync('pid.txt', `${process.pid}`);

global.KOMODO_LOG_LABEL = 'KOMODO-MESSAGING';
process.title = global.KOMODO_LOG_LABEL;

const matrix = require('komodo-sdk/matrix');
matrix.NODE_ENV = process.env.NODE_ENV;

const logger = require('tektrans-logger');
const coreUrl = require('komodo-sdk/core-url');
logger.verbose('CORE URL: ' + coreUrl);

require('./lib/http-listener');

