const util = require('./util');

module.exports = (val, opts) => {
    let result = val;
    if (typeof result === 'number') {
        result = result.toString();
    }

    if (typeof result !== 'string') return val;

    result = result.trim();

    if (util.shouldNotProcessed(result)) return result;

    result = result
        .replace(/\s+/g, '')
        .replace(/-+/g, '')
        .replace(/[();]/g, '');

    if (!opts || !opts.do_not_change_intl_code) {
        result = result.replace(/^\+62/, '0');
    }

    return result;
};
